package com.sckw.core.annotation;

import java.lang.annotation.*;

/**
 * @author czh
 * @desc 重复请求校验
 * @date 2023/9/1
 */
@Inherited
@Target(ElementType.METHOD)
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface RepeatSubmit {

    /**
     * 间隔时间(ms)，小于此时间视为重复提交
     */
    long interval() default 5000;

    /**
     * 提示消息
     */
    String message() default "请求频率限制，请稍候再试";

}
